discourse-legacysite-perl/site/slowtwitch.com/cgi-bin/articles/admin/mysqlman/symlink.sh

17 lines
502 B
Bash
Raw Normal View History

2024-06-17 11:49:12 +00:00
#!/bin/sh
# This script creates the symlinks needed for a checked out GMail to run
# properly, including fileman.
die() {
echo "$*" 1>&2
exit 1
}
[ "`basename \`pwd\``" = "mysqlman" -a -e "symlink.sh" ] || die "Must be run from mysqlman directory"
[ -d ../library/GT ] || die "Could not find library modules; perhaps you don't have library checked out?"
ln -snf ../library/{GT,*.pm} . || die "Could not link library modules; perhaps you don't have library checked out?"
echo "Good to go!"